Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# CVideoAudioInput Class Reference

`#include <VideoAudioInput.h>`

Inheritance diagram for CVideoAudioInput::

List of all members.

## Public Types

- enum { Mono, Stereo, Language1, Language2 }

## Public Methods

- CVideoAudioInput (CVideoDevice *video, int channel)
- int GetNumber () const
- QString GetName () const
- bool IsMutable ()
- bool IsMuted ()
- int GetVolume () const
- int GetBass () const
- int GetTreble () const

## Public Attributes

- enum CVideoAudioInput:: { ... } Modes

## Public Slots

- void Mute (bool mute_on)
- void SetVolume (int volume)
- void SetBass (int bass)
- void SetTreble (int treble)

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  Mono |
  Stereo |
  Language1 |
  Language2 |

## Constructor & Destructor Documentation

CVideoAudioInput::CVideoAudioInput ( | CVideoDevice * video,
| int channel )

| Audio inputs of a video device. This class describes an audio input on the card... Hopefully there are as many audio input as video inputs (and listed in the same order, but well, you never know :))

## Member Function Documentation

int CVideoAudioInput::GetBass ( | ) const

QString CVideoAudioInput::GetName ( | ) const

int CVideoAudioInput::GetNumber ( | ) const

int CVideoAudioInput::GetTreble ( | ) const

int CVideoAudioInput::GetVolume ( | ) const

| Return volume setting (if supported). Returns: An integer in the range 0..65535, or -1 if not supported or on error

bool CVideoAudioInput::IsMutable ( | )

| Returns true if this audio input can be muted

bool CVideoAudioInput::IsMuted ( | )

void CVideoAudioInput::Mute ( | bool mute_on )`[slot]`

void CVideoAudioInput::SetBass ( | int bass )`[slot]`

void CVideoAudioInput::SetTreble ( | int treble )`[slot]`

void CVideoAudioInput::SetVolume ( | int volume )`[slot]`

## Member Data Documentation

enum { ... } CVideoAudioInput::Modes

The documentation for this class was generated from the following files:

- VideoAudioInput.h
- VideoAudioInput.cc